-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Questa procedura legge i campi della vista vListaTrimestrale e li inserisce nella tabella W6TRCLI settando i campi Nominativo_Agente e ROL a '',,>
-- =============================================
CREATE PROCEDURE [C6StagingPeriodico].[PopolaW6TRCLIdavListaClientiTrimestrale]
	-- Add the parameters for the stored procedure here
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
    -- Insert statements for procedure here
	insert into [dbo].[W6TRCLI] ([Rete],[Codice_Agente],[Nominativo_ Agente],[CodiceFiscale],[CodiceContratto],[Freq_Monitoraggio],[Freq_ Diagnosi],[Data_Revoca],[TipoContratto],[TipoRiattivazione],[ROL],[ClienteDB])
		select  isnull([Rete],''),
				isnull([Codice Agente],''),
				'',
				isnull([Codice Fiscale],''),
				isnull([Codice Contratto],''),
				isnull([Freq Monitoraggio],''),
				isnull([Freq Diagnosi],''),
				isnull([Data Revoca],''),
				isnull([Tipo Contratto],''),
				isnull([Tipo Riattivazione],''),
				'',
				clienteDB
	from [C6StagingPeriodico].[vListaClientiTrimestrale];
END